# pandas.arrays.IntervalArray.from_tuples

classmethod IntervalArray.from_tuples(data, closed='right', copy=False, dtype=None)

  Construct an IntervalArray from an array-like of tuples.

  Parameters
    data array-like (1-dimensional)

      Array of tuples.

    closed{‘left’, ‘right’, ‘both’, ‘neither’}, default ‘right’

      Whether the intervals are closed on the left-side, right-side, both or neither.

    copy bool, default False

      By-default copy the data, this is compat only and ignored.

    dtype dtype or None, default None

      If None, dtype will be inferred.

  Returns
    IntervalArray

  See also

  `interval_range`

    Function to create a fixed frequency IntervalIndex.

  `IntervalArray.from_arrays`

    Construct an IntervalArray from a left and right array.

  `IntervalArray.from_breaks`

    Construct an IntervalArray from an array of splits.

  Examples

      >>> pd.arrays.IntervalArray.from_tuples([(0, 1), (1, 2)])
      <IntervalArray>
      [(0, 1], (1, 2]]
      Length: 2, dtype: interval[int64, right]